package cn.yw.operationcount.alarmcount.service;


import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.yw.operationcount.alarmcount.dao.YwcountuserrepairjobDao;

@Service("ywcountuserrepairjobService")
public class YwcountuserrepairjobService extends BaseService {
	
	private static Log log = LogFactory.getLog(YwcountuserrepairjobService.class);
	
	@Autowired
	private YwcountuserrepairjobDao ywcountuserrepairjobDao;
	
	
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywcountuserrepairjob(Map map) throws SQLException{
		return ywcountuserrepairjobDao.count_Ywcountuserrepairjob(map);
	}
	
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Ywcountuserrepairjob(Map map) throws SQLException{
		//处理返回的结果为  maplist
		return  ywcountuserrepairjobDao.query_Ywcountuserrepairjob(map);

	}
	
	
	/**
	 * Ywcountuserrepairjob 分页
	 */
	public Map listYwcountuserrepairjobByPage(Map map) throws SQLException {
		List<Map> list = ywcountuserrepairjobDao.query_Ywcountuserrepairjob(map);
		Integer totalCount = ywcountuserrepairjobDao.count_Ywcountuserrepairjob(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
	// 柱状图统计
	public List<Map> count_showBar(Map map) throws SQLException{
		return ywcountuserrepairjobDao.count_showBar(map);
	}
	
	// 首页统计
	public Map count_OrderHomepage(Map map) throws SQLException{
		return ywcountuserrepairjobDao.count_OrderHomepage(map);
	}
	
}
